#include <iostream>
#include<algorithm>

using namespace std;

int main()
{
  int n, m, v, u;
  cin>>n>>m;
  int lista[m];
  for(int i=0; i<3*m; i+=3)
{
    cin>>lista[i]>>lista[m+1]>>lista[m+2];
}
cin>>v>>u;

cout<<"-1";
    return 0;
}